<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.CameraActivity">

    <androidx.camera.view.PreviewView
        android:id="@+id/preview"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/image_full"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="matrix" />
    </LinearLayout>


    <ImageView
        android:id="@+id/back"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_marginStart="25dp"
        android:layout_marginTop="25dp"
        android:src="@drawable/back"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <FrameLayout
        android:id="@+id/seek_bar_background"
        android:layout_width="280dp"
        android:layout_height="33dp"
        android:layout_marginBottom="125dp"
        android:background="@drawable/rounded_background"
        android:padding="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <ImageView
            android:id="@+id/start_icon"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_gravity="start|center_vertical"
            android:src="@drawable/subtract" />

        <SeekBar
            android:id="@+id/seekbar"
            style="?android:attr/progressBarStyleHorizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_vertical"
            android:max="100"
            android:maxHeight="5dp"
            android:progress="0"
            android:progressDrawable="@drawable/seek_bar_color"
            android:thumb="@drawable/seekbar_thumb" />

        <ImageView
            android:id="@+id/end_icon"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_gravity="end|center_vertical"
            android:src="@drawable/add" />

    </FrameLayout>

    <ImageView
        android:id="@+id/play"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:background="@drawable/camera_background"
        android:padding="7dp"
        android:src="@drawable/camera"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/seek_bar_background" />

    <ImageView
        android:id="@+id/light"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:src="@drawable/un_light"
        app:layout_constraintBottom_toBottomOf="@+id/play"
        app:layout_constraintEnd_toStartOf="@+id/play"
        app:layout_constraintHorizontal_bias="0.25"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/play" />

    <ImageView
        android:id="@+id/reversal"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:src="@drawable/un_reversal"
        app:layout_constraintBottom_toBottomOf="@+id/play"
        app:layout_constraintEnd_toStartOf="@+id/play"
        app:layout_constraintHorizontal_bias="0.75"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/play" />

    <ImageView
        android:id="@+id/import_image"
        android:layout_width="41dp"
        android:layout_height="41dp"
        android:src="@drawable/photo"
        app:layout_constraintBottom_toBottomOf="@+id/play"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/play"
        app:layout_constraintTop_toTopOf="@+id/play" />

</androidx.constraintlayout.widget.ConstraintLayout>